Package com.verisign.epp.codec.registry.v02

## Enum EPPRegistryContact.PostalInfoTypeSupport

- java.lang.Object
- - java.lang.Enum<EPPRegistryContact.PostalInfoTypeSupport>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryContact.PostalInfoTypeSupport

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPRegistryContact.PostalInfoTypeSupport>`
  Enclosing class:
    EPPRegistryContact

      public static enum EPPRegistryContact.PostalInfoTypeSupport
      extends java.lang.Enum<EPPRegistryContact.PostalInfoTypeSupport>

  Possible values for the `postalInfoTypeSupport` attribute. The "Support" suffix is removed when setting the value in the element.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `intOptLocSupport` | Indicates that the <contact:postalInfo> element with type "int" is required and a second <contact:postalInfo> element with the type "loc" is optional.
    `intSupport` | Indicates that a single <contact:postalInfo> element is supported with the type "int".
    `locAndIntSupport` | Indicates that up to two <contact:postalInfo> elements is supported for defining both the "loc" and the "int" type.
    `locOptIntSupport` | Indicates that the <contact:postalInfo> element with type "loc" is required and a second <contact:postalInfo> element with the type "int" is optional.
    `locOrIntSupport` | Indicates that a single <contact:postalInfo> element is supported with the type "loc" or "int".
    `locSupport` | Indicates that a single <contact:postalInfo> element is supported with the type "loc".

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPRegistryContact.PostalInfoTypeSupport` | `getSupport​(java.lang.String aSupportStr)` | Get the type enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `PostalInfoTypeSupport` value to a `String` .
    `static EPPRegistryContact.PostalInfoTypeSupport` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPRegistryContact.PostalInfoTypeSupport[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### locSupport

          public static final EPPRegistryContact.PostalInfoTypeSupport locSupport

      Indicates that a single <contact:postalInfo> element is supported with the type "loc".

    - #### intSupport

          public static final EPPRegistryContact.PostalInfoTypeSupport intSupport

      Indicates that a single <contact:postalInfo> element is supported with the type "int".

    - #### locOrIntSupport

          public static final EPPRegistryContact.PostalInfoTypeSupport locOrIntSupport

      Indicates that a single <contact:postalInfo> element is supported with the type "loc" or "int".

    - #### locAndIntSupport

          public static final EPPRegistryContact.PostalInfoTypeSupport locAndIntSupport

      Indicates that up to two <contact:postalInfo> elements is supported for defining both the "loc" and the "int" type. This policy does not indicate that both must be provided.

    - #### intOptLocSupport

          public static final EPPRegistryContact.PostalInfoTypeSupport intOptLocSupport

      Indicates that the <contact:postalInfo> element with type "int" is required and a second <contact:postalInfo> element with the type "loc" is optional.

    - #### locOptIntSupport

          public static final EPPRegistryContact.PostalInfoTypeSupport locOptIntSupport

      Indicates that the <contact:postalInfo> element with type "loc" is required and a second <contact:postalInfo> element with the type "int" is optional.

  - ### Method Detail

    - #### values

          public static EPPRegistryContact.PostalInfoTypeSupport[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryContact.PostalInfoTypeSupport c : EPPRegistryContact.PostalInfoTypeSupport.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryContact.PostalInfoTypeSupport valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getSupport

          public static EPPRegistryContact.PostalInfoTypeSupport getSupport​(java.lang.String aSupportStr)

      Get the type enumerated value given the matching string.
      Parameters:
        `aSupportStr` - `PostalInfoTypeSupport` enumerated string to convert to an enumerated `PostalInfoTypeSupport` instance.
      Returns:
        Enumerated `PostalInfoTypeSupport` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aSupportStr` does not match an enumerated `PostalInfoTypeSupport` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `PostalInfoTypeSupport` value to a `String` .
      Overrides:
        `toString` in class `java.lang.Enum<EPPRegistryContact.PostalInfoTypeSupport>`